Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NegativeArraySizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.NegativeArraySizeException

All Implemented Interfaces:
  Serializable

public class NegativeArraySizeException
extends RuntimeException

Thrown if an application tries to create an array with negative size.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`NegativeArraySizeException()` Constructs a `NegativeArraySizeException` with no detail message.
`NegativeArraySizeException(String s)` Constructs a `NegativeArraySizeException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegativeArraySizeException

    public NegativeArraySizeException()

  Constructs a `NegativeArraySizeException` with no detail message.

### NegativeArraySizeException

    public NegativeArraySizeException(String s)

  Constructs a `NegativeArraySizeException` with the specified detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.